Package org.springframework.security.core.parameters

# Annotation Interface P

@Target(PARAMETER) @Retention(RUNTIME) @Documented public @interface P
An annotation that can be used along with `AnnotationParameterNameDiscoverer` to specify parameter names. This is useful for interfaces prior to JDK 8 which cannot contain the parameter names.

Since:
  5.0
See Also:
  - `AnnotationParameterNameDiscoverer`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
The parameter name

## Element Details

### value

String value
The parameter name

Returns: